#ifndef BDD_H
#define BDD_H

#include <QObject>
#include <QString>
#include <QVector>



//==============================================================
class Bdd : public QObject
{
    Q_OBJECT


    QList<QStringList> m_lignes;
    qint64 m_ptr_ligne;


public:
    Bdd();

    Q_INVOKABLE qint16 check_fin_configuration();
    Q_INVOKABLE QStringList requete_unique(QString requete);
    Q_INVOKABLE qint64 requete(QString requete);
    Q_INVOKABLE QStringList lecture_ligne();

    Q_INVOKABLE QString sha256(QString entree);
    Q_INVOKABLE QString int16_to_chaine_hexa(qint16 entree);
};








































#endif // BDD_H
